import CoEuiTextarea from '../../../components/14x/eui-textarea.js'
import EuiBasePage from './eui-base.po.js'

export default class EuiTextareaPage extends EuiBasePage {

  constructor() {
      super();
  }
  textareaByIndex(index) {
    return new CoEuiTextarea(this.mainContent).byIndex(index);
  }
  textareaByTextContains(text) {
    return new CoEuiTextarea(this.mainContent).byTextContains(text);
  }
  textareaByTextEqualsAndIndex(text, index, normalize=true) {
    return new CoEuiTextarea(this.mainContent).byTextEqualsAndIndex(text, index, normalize);
  }
  textareaFromSectionById(id) {
    return new CoEuiTextarea(this.sectionById(id));
  }
  textareaFromSectionWithIdByIndex(id, index) {
    return new CoEuiTextarea(this.sectionById(id)).byIndex(index);
  }
}


